module Ffp
  class Presenter
    include ActionView::Helpers

    ALERT_TYPES = %w(success warning info alert secondary)

    def initialize(flash)
      @flash = flash
    end


    def for_foundation
      flash_messages = Array.new

      @flash.each do |type, message|
        next if message.blank?

        type = "success" if type == "notice"
        type = "alert" if type == "error"

        next unless ALERT_TYPES.include?(type)

        Array(message).each do |msg|
          flash_messages << content_tag(
            :div,
            msg.html_safe + content_tag(:a, raw("&times;"), :class => 'close'),
            :class => css_classes_for_type(type),
            :'data-alert' => true
          )
        end
      end

      flash_messages.join("\n").html_safe
    end

    ################################################################################
    private
    ################################################################################
    def css_classes_for_type(type)
      ks = []
      ks << 'alert-box'
      ks << 'radius'
      ks << type

      ks.join(" ")
    end
  end
end
